# Created by pyp2rpm-3.3.2
%global pypi_name pytest-forked

Name:           python-%{pypi_name}
Version:        1.4.0
Release:        %mkrel 2
Summary:        Run tests in isolated forked subprocesses
Group:          Development/Python
License:        MIT
URL:            https://github.com/pytest-dev/pytest-forked
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
Run each test in a forked subprocess.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pytest) >= 2.6.0
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
Run each test in a forked subprocess.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf src/*.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/pytest_forked
%{python3_sitelib}/pytest_forked-%{version}-py%{python3_version}.egg-info


%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.4.0-2.mga9
+ Revision: 1828438
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 1.4.0-1.mga9
+ Revision: 1772488
- new version 1.4.0
- rebuild for python3.10

* Mon Mar 15 2021 wally <wally> 1.3.0-2.mga9
+ Revision: 1703595
- rebuild for python 3.9

* Fri Oct 02 2020 kekepower <kekepower> 1.3.0-1.mga8
+ Revision: 1631590
- Update to version 1.3.0

* Fri Jun 12 2020 kekepower <kekepower> 1.1.1-1.mga8
+ Revision: 1592973
- Update to version 1.1.1

* Sun Feb 16 2020 umeabot <umeabot> 1.0.2-4.mga8
+ Revision: 1531500
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 1.0.2-3.mga8
+ Revision: 1440394
- bump release so that we're newer than the core/release's build

* Fri Aug 30 2019 wally <wally> 1.0.2-2.mga8
+ Revision: 1435499
- drop python2 support
- update description

* Sun Apr 07 2019 kekepower <kekepower> 1.0.2-1.mga7
+ Revision: 1386568
- Update to version 1.0.2

* Fri Jan 11 2019 kekepower <kekepower> 0.2-1.mga7
+ Revision: 1354656
- imported package python-pytest-forked

